#include "delay.h"

extern "C"
{
void NMI_Handler(void);
void HardFault_Handler(void);
void SVC_Handler(void);
void PendSV_Handler(void);
void SysTick_Handler(void);
}

volatile uint32_t tick_ms;

void NMI_Handler(void)
{
    while (1);
}

void HardFault_Handler(void)
{
    while (1);
}

void SVC_Handler(void)
{
}

void PendSV_Handler(void)
{
}

void SysTick_Handler(void)
{
    tick_ms++;
}

void delay_ms(uint32_t time_ms)
{
    uint32_t tickstart = tick_ms;

    while ((tick_ms - tickstart) < time_ms);
}
